CustomerInfoReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор покупателя
      example: 1
    avatar:
      $ref: '../../common_schemas.yaml#/File'
CustomerInfoFillableProperties:
  type: object
  properties:
    customer_id:
      type: integer
      description: Идентификатор пользователя
      example: 42
    kpi_sku_count:
      type: integer
      description: Колличетсво купленных товаров
      nullable: true
    kpi_sku_price_sum:
      type: integer
      description: Сумма цен купленных товаров
      nullable: true
    kpi_order_count:
      type: integer
      description: Колличетсво офрмленных заказов
      nullable: true
    kpi_shipment_count:
      type: integer
      description: Колличетсво оформленных отправок
      nullable: true
    kpi_delivered_count:
      type: integer
      description: Колличетсво досталенных
      nullable: true
    kpi_delivered_sum:
      type: integer
      description: Сумма цен доставленных
      nullable: true
    kpi_refunded_count:
      type: integer
      description: Колличетсво возвращенных
      nullable: true
    kpi_refunded_sum:
      type: integer
      description: Сумма цен возвращенных
      nullable: true
    kpi_canceled_count:
      type: integer
      description: Колличетсво отмененных
      nullable: true
    kpi_canceled_sum:
      type: integer
      description: Сумма цен отмененных
      nullable: true
CustomerInfoRequiredRequestProperties:
  type: object
  required:
    - customer_id
CustomerInfoRequiredResponseProperties:
  type: object
  required:
    - customer_id
    - kpi_sku_count
    - kpi_sku_price_sum
    - kpi_order_count
    - kpi_shipment_count
    - kpi_delivered_count
    - kpi_delivered_sum
    - kpi_refunded_count
    - kpi_refunded_sum
    - kpi_canceled_count
    - kpi_canceled_sum
CustomerInfoForCreate:
  allOf:
    - $ref: '#/CustomerInfoFillableProperties'
    - $ref: '#/CustomerInfoRequiredRequestProperties'
CustomerInfoForReplace:
  allOf:
    - $ref: '#/CustomerInfoFillableProperties'
    - $ref: '#/CustomerInfoRequiredRequestProperties'
CustomerInfoForPatch:
  allOf:
    - $ref: '#/CustomerInfoFillableProperties'
CustomerInfo:
  allOf:
    - $ref: '#/CustomerInfoReadonlyProperties'
    - $ref: '#/CustomerInfoFillableProperties'
    - $ref: '#/CustomerInfoRequiredResponseProperties'

SearchCustomersInfoFilter:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор покупателя
      example: 1
      nullable: true
    customer_id:
      type: integer
      description: Идентификатор пользователя
      example: 42
      nullable: true

SearchCustomersInfoRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchCustomersInfoFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

CustomerInfoResponse:
  type: object
  properties:
    data:
      $ref: '#/CustomerInfo'
    meta:
      type: object
  required:
    - data
SearchCustomersInfoResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/CustomerInfo'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
